urls in ubuntu-bug's dialog not really clickable

Bug #1871185 reported by Darko Veberic on 2020-04-06
42
This bug affects 7 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Olivier Tilloy
Focal
Medium
Brian Murray

Bug Description

when ubuntu-bug report suggests filing a bug report directly in launchpad for snap packages, the displayed url is clickable but the url stops at the first + symbol. see attachment.

Test Case
---------
1) On an Ubuntu 20.04 LTS system run 'ubuntu-bug chromium'
2) Observe a "the problem cannot be reported" message with a link that is not fully highlighted

With the version of apport from -proposed the link will be fully highlighted and will be clickable.

Regression Potential
--------------------
The re for what constitutes a url is just improved and the snap dialog is the only one I can find with a url in it. Given that url highlighting is "broken" there isn't any potential for regression.

Original Description
--------------------
ProblemType: BugDistroRelease: Ubuntu 19.10
Package: apport 2.20.11-0ubuntu8.8
ProcVersionSignature: Ubuntu 5.3.0-45.37-generic 5.3.18
Uname: Linux 5.3.0-45-generic x86_64
ApportLog:

ApportVersion: 2.20.11-0ubuntu8.8
Architecture: amd64
CrashReports: 640:1000:124:8919925:2020-03-29 20:16:13.456640958 +0200:2020-03-29 20:16:14.456640958 +0200:/var/crash/_usr_bin_python3.7.1000.crash
CurrentDesktop: XFCE
Date: Mon Apr 6 19:50:16 2020
InstallationDate: Installed on 2020-03-18 (18 days ago)
InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
PackageArchitecture: allSourcePackage: apport
UpgradeStatus: No upgrade log present (probably fresh install)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apport (Ubuntu):
status: New → Confirmed
tags: added: focal
Olivier Tilloy (osomon) wrote :

The problem is in apport-gtk, in the _ui_message_dialog() method that finds URLs in free text and turns them into clickable links: https://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu/focal/apport/ubuntu/view/head:/gtk/apport-gtk#L389. The regular expression isn't good enough.

Olivier Tilloy (osomon) on 2020-04-23
Changed in apport (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
status: Confirmed → In Progress
Mathew Hodson (mhodson) on 2020-04-24
Changed in apport (Ubuntu):
importance: Undecided → Medium
Danilo Alculete (alculete) wrote :

adding more information to the bug it doesn't work with email links also

Changed in apport (Ubuntu Focal):
status: New → Triaged
importance: Undecided → Medium
Changed in apport (Ubuntu Focal):
milestone: none → ubuntu-20.04.1
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.11-0ubuntu33

---------------
apport (2.20.11-0ubuntu33) groovy; urgency=medium

  [ Olivier Tilloy ]
  * gtk/apport-gtk: upgrade regular expression used to match URLs in free text
    (LP: #1871185)

 -- Brian Murray <email address hidden> Thu, 07 May 2020 14:54:20 -0700

Changed in apport (Ubuntu):
status: In Progress → Fix Released
summary: - urls in ubuntu-bugs dialog not really clickable
+ urls in ubuntu-bug's dialog not really clickable
Changed in apport (Ubuntu Focal):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)
description: updated

Hello Darko, or anyone else affected,

Accepted apport into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.20.11-0ubuntu27.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in apport (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Brian Murray (brian-murray) wrote :

The full url is now highlighted see the attachment for proof!

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Olivier Tilloy (osomon) wrote :

Thanks Brian!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.11-0ubuntu27.2

---------------
apport (2.20.11-0ubuntu27.2) focal; urgency=medium

  * gtk/apport-gtk: upgrade regular expression used to match URLs in free text
    (LP: #1871185)

apport (2.20.11-0ubuntu27.1) focal; urgency=medium

  * debian/apport.install: Add in a source package hook for linux-meta-raspi
    which provides linux-raspi and linux-raspi2. (LP: #1876952)
  * data/general-hooks/ubuntu.py: collect ImageMediaBuild information which
    exists on preinstalled RPi images. (LP: #1876945)
  * Add in a source package hook symlink for linux-firmware. (LP: #1872059)
  * debian/tests/control: Depend on python3-twisted, not python-twisted-core

 -- Brian Murray <email address hidden> Tue, 12 May 2020 15:34:22 -0700

Changed in apport (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for apport has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers